Subject: RE: [Speechsc] Speed-Vs-Accuracy inconsistency with MRCPv2 andVoi ceXML 2.0

From: Eric Burger <[email-masked]>
Date: Thu, 7 Jul 2005 08:33:12 -0400

Does silence here mean, "OK with me" or "I haven't bothered to read the
mail"? 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Wednesday, July 06, 2005 11:37 AM
> To: Brett Gavagni
> Cc: [email-masked]
> Subject: Re: [Speechsc] Speed-Vs-Accuracy inconsistency with 
> MRCPv2 andVoiceXML 2.0
> 
> 
> On Jul 6, 2005, at 11:26 AM, Brett Gavagni wrote:
> 
> > Hi,
> >
> > Currently there exists some inconsistent interpretation of 
> the values 
> > for Speed-Vs-Accuracy in the MRCPv2 specification.
> >
> > The current MRCPv2 draft states the following:
> > Speed Vs Accuracy
> >
> >    Depending on the implementation and capability of the recognizer
> >    resource it may be tunable towards Performance or 
> Accuracy. Higher
> >    accuracy may mean more processing and higher CPU utilization,
> >    meaning less calls per server and vice versa. This header is a 
> > float
> >    value between 0.0 and 1.0 and allows this field to be 
> tuned by the
> >    speed-vs-accuracy header. This header field MAY occur in 
> RECOGNIZE,
> >    SET-PARAMS or GET-PARAMS. A higher value for this field means 
> > higher
> >    speed. The default value for this field is platform specific.
> >
> >      speed-vs-accuracy   =     "Speed-Vs-Accuracy" ":" FLOAT CRLF
> >
> > The VoiceXML 2.0 specification states the following:
> > http://www.w3.org/TR/voicexml20/#dml6.3.2
> > 6.3.2 Generic Speech Recognizer Properties
> >
> > speedvsaccuracy
> > A hint specifying the desired balance between speed vs. accuracy.
> > A value of 0.0 means fastest recognition. A value of 1.0 means best 
> > accuracy.
> > The value is a Real Number Designation (see Section 6.5). 
> The default 
> > is value 0.5.
> >
> > The VoiceXML spec, states that a 1.0 value means best accuracy, and 
> > the
> > MRCPv2 draft states that the higher the value means higher speed.
> >
> > Was it intentional to have the MRCPv2 draft convey an inconsistent 
> > interpretation of the values in comparison to VoiceXML 2.0?
> >
> I don't think so. I have no objection to reversing it. Anyone 
> else want to chime in?
> 
> > Thanks,
> >
> > Brett Gavagni
> > WebSphere Voice Server Development
> > http://www-306.ibm.com/software/pervasive/voice_server/
> > (561) 862-2097 T/L (975)
> > [email-masked]
> >
> >
> > _______________________________________________
> > Speechsc mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/speechsc
> >
> 
> _______________________________________________
> Speechsc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speechsc
> 

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc